Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.ejb.query
Class AssembleDescriptor

    java.lang.Object
      com.stc.eindex.ejb.query.AssembleDescriptor

All Implemented Interfaces:
  java.io.Serializable

public class AssembleDescriptor
extends java.lang.Object
implements java.io.Serializable

The AssembleDescriptor class contains information used by the assembler engine (AssemblerEngine class) to construct the resulting composite objects. It describes the result type that comes from the Query Manager, and maps the JDBC results to Java objects. The assemble descriptor can be set in an instance of QueryObject before calling QueryManager. This class can also be used for later assembly by setting the class in QueryResults after the query results object is returned from QueryManager.

See Also:
  Serialized Form

Constructor Summary
`AssembleDescriptor()` Creates a new instance of the AssembleDescriptor class.

Method Summary
`ResultObjectAssembler` | `getAssembler()` Retrieves the result object assembler (class ResultObjectAssembler) for the assemble descriptor.
`void` | `setAssembler(ResultObjectAssembler valueObjectFactory)` Specifies the result object assembler to use.
`void` | `setResultValueObjectType(ValueMetaNode rootNode)` Sets the structure of the output composite value object tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AssembleDescriptor

    public AssembleDescriptor()

  Creates a new instance of the AssembleDescriptor class.

  Parameters:
    None.
  Throws:
    None.

Method Detail

### getAssembler

    public ResultObjectAssembler getAssembler()

  Retrieves the result object assembler (class ResultObjectAssembler) for the assemble descriptor.

  Parameters:
    None.

  Returns:
    `ResultObjectAssembler` - The result object assembler for the assemble descriptor.
  Throws:
    None.

### setAssembler

    public void setAssembler(ResultObjectAssembler valueObjectFactory)

  Specifies the result object assembler to use. Call this method when specifying the structure of the output composite value object tree. If this method is not used, the Query Manager uses the default assembler (class ResultObjectAssembler).

  Parameters:
    `valueObjectFactory` - The result object assembler to use.
  Returns:
    `void` - None.
  Throws:
    None.

### setResultValueObjectType

    public void setResultValueObjectType(ValueMetaNode rootNode)

  Sets the structure of the output composite value object tree. This method is optional. If you do not specify the object tree structure, the resulting object tree by default has the same structure as that specified by selectFields in the corresponding instance of the QueryObject class.

  Parameters:
    `rootNode` - The composite value object type of the results.
  Returns:
    `void` - None.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.